Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #364 (closed enhancement: fixed)

Opened 14 years ago

Last modified 12 years ago

Check if requested module is loaded

Reported by: mrenzmann Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

We rely on the following things:

  • module dependancies took care that all necessary modules have been loaded automatically
  • requesting a module was successful

This causes problems if these assumptions are not correct. For example:

  • Users who work with insmod rather than modprobe could have missed out a required module. Although we suggest to use modprobe to avoid such problems we should still check that everything is ok. Failting to do so (which is the current situation) might cause kernel oopses, which is bad from the pov of usability.
  • Requested modules might be loaded successfully (request_module returns with 0), but the module might fail to initialize and unload itself as a result. Such cases wouldn't be noticed so far, probably resulting in kernel oopses or other errors.

We need to find a way to make sure that a module we rely on is really loaded and handle the situation in a clean way if this is not the case. The inter-module support functions might be suited for this task.

Change History

02/11/06 14:29:44 changed by kelmo

AFAIK, some of those functions are depricated, maybe that API documentation is slightly old (at least for 2.6.15).

  CC      kernel/intermodule.o
kernel/intermodule.c:178: warning: 'inter_module_register' is deprecated (declared at kernel/intermodule.c:38)
kernel/intermodule.c:179: warning: 'inter_module_unregister' is deprecated (declared at kernel/intermodule.c:78)
kernel/intermodule.c:181: warning: 'inter_module_put' is deprecated (declared at kernel/intermodule.c:159)
  CC      kernel/extable.o

04/23/06 01:50:36 changed by kelmo

  • milestone changed from version 0.9.0 - move to new codebase to version 0.9.x - progressive release candidate phase.

12/20/07 00:50:58 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone changed from version 0.9.x - progressive release candidate phase to version 0.9.4.

I did this somewhere around r2260

02/11/08 06:10:50 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.